Subject: bug#13210: [PATCH] maint: cygwin build broken

From: "Z. Majeed" <[email-masked]>
Date: Wed, 19 Dec 2012 07:46:15 -0800 (PST)

or maybe there aren't many people building on cygwin because of issues like the ones I reported - cygwin packages can fall quite behind and coreutils is not available on cygwinports either - I know I was close to giving up and just working on linux

Zartaj

--- On Wed, 12/19/12, Eric Blake <[email-masked]> wrote:
> 
> On 12/19/2012 06:25 AM, Pádraig
> Brady wrote:
> > On 12/19/2012 12:57 PM, Z. Majeed wrote:
> >> Thanks for fixing all the issues - are you folks
> open to adding a
> >> ginstall.exe manifest for the cygwin build?
> > 
> > I presume the cygwin package puts one in place,
> > and it would be nice to keep windows specific stuff
> there.
> > There is a related thread here:
> > http://cygwin.com/ml/cygwin/2012-07/msg00293.html
> 
> Correct - when I build coreutils for the cygwin distro, the
> manifest
> file is built as part of the cygwin-specific patches that I
> apply.  I'm
> not sure whether it makes sense to try and upstream
> something that is so
> platform specific; on the one hand, it would make
> out-of-the-box
> development on cygwin easier; on the other hand, we don't
> have too many
> people doing out-of-the-box development (most people rely on
> the
> pre-built coreutils in the cygwin distro).
> 
> -- 
> Eric Blake   eblake redhat com   
> +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
> 
>